classification
Title: IDLE highlighting theme does not preview with user-selected fonts
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: andrew.m, python-dev, roger.serwy, terry.reedy
Priority: normal Keywords: patch

Created on 2012-05-22 00:19 by andrew.m, last changed 2012-05-28 03:16 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
issue14876.patch roger.serwy, 2012-05-22 11:37 review
Messages (4)
msg161309 - (view) Author: Andrew (andrew.m) Date: 2012-05-22 00:19
When changing theme colors, preview window uses only default font
msg161345 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-05-22 11:37
That sounds like a reasonable enhancement. Attached is a patch against 3.3.0a3 to change the font of highlighting sample to match the font selected in the font tab.

The actual highlighting text sample has 11 line of text which is why the patch changes the height from 10 to 11.
msg161681 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-26 20:57
New changeset e443cce4f183 by Terry Jan Reedy in branch '3.2':
Issue #14876: Use user-selected font for highlight configuration.
http://hg.python.org/cpython/rev/e443cce4f183

New changeset a9e9045d5546 by Terry Jan Reedy in branch 'default':
Merge Issue #14876: Use user-selected font for highlight configuration.
http://hg.python.org/cpython/rev/a9e9045d5546

New changeset dc9ddad40bba by Terry Jan Reedy in branch '2.7':
Issue #14876: Use user-selected font for highlight configuration.
http://hg.python.org/cpython/rev/dc9ddad40bba
msg161682 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-05-26 21:01
Patch looks good and seems to work fine. I tested before and after the patch on my working copy of 3.3.0a3 with my selected font. Highlight config was default courier before and selected font after. I agree with change and applied.
History
Date User Action Args
2012-05-28 03:16:28terry.reedysetassignee: terry.reedy
2012-05-26 21:01:14terry.reedysetstatus: open -> closed
versions: + Python 3.2
messages: + msg161682

resolution: fixed
stage: resolved
2012-05-26 20:57:22python-devsetnosy: + python-dev
messages: + msg161681
2012-05-22 11:37:32roger.serwysetfiles: + issue14876.patch
versions: + Python 3.3
nosy: + terry.reedy, roger.serwy

messages: + msg161345

keywords: + patch
2012-05-22 00:19:44andrew.mcreate